Table of Contents
Get Table of Contents
Returns the complete table of contents with parts and their papers. This is typically the first endpoint an AI agent should call to understand the book structure.
GET
/
toc
Get the full table of contents
curl --request GET \
--url https://api.urantia.dev/tocimport requests
url = "https://api.urantia.dev/toc"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.urantia.dev/toc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.urantia.dev/toc",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.urantia.dev/toc"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.urantia.dev/toc")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.urantia.dev/toc")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": {
"parts": [
{
"id": "0",
"title": "Foreword",
"sponsorship": null,
"papers": [
{
"id": "0",
"title": "Foreword",
"labels": [
"Theology",
"Cosmology"
]
}
]
},
{
"id": "1",
"title": "The Central and Superuniverses",
"sponsorship": "Sponsored by a Uversa Corps of Superuniverse Personalities acting by authority of the Orvonton Ancients of Days",
"papers": [
{
"id": "1",
"title": "The Universal Father",
"labels": [
"Spirituality",
"Theology"
]
},
{
"id": "2",
"title": "The Nature of God",
"labels": [
"Spirituality",
"Theology"
]
}
]
}
]
}
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}Query Parameters
Language for translated fields. es gives Spanish text for all 197 papers: an AI translation, released as CC0, with a translation label on each paragraph. Paper, section, and part titles are in Spanish too, and so are the included Papers parallels and entity names; the Bible and the other works, and the topic labels, stay in English. Entity names exist in es only; the other languages give English. Each paragraph has a language field that states the language of its text.
Available options:
eng, es, fr, pt, de, ko ⌘I
Get the full table of contents
curl --request GET \
--url https://api.urantia.dev/tocimport requests
url = "https://api.urantia.dev/toc"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.urantia.dev/toc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.urantia.dev/toc",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.urantia.dev/toc"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.urantia.dev/toc")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.urantia.dev/toc")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": {
"parts": [
{
"id": "0",
"title": "Foreword",
"sponsorship": null,
"papers": [
{
"id": "0",
"title": "Foreword",
"labels": [
"Theology",
"Cosmology"
]
}
]
},
{
"id": "1",
"title": "The Central and Superuniverses",
"sponsorship": "Sponsored by a Uversa Corps of Superuniverse Personalities acting by authority of the Orvonton Ancients of Days",
"papers": [
{
"id": "1",
"title": "The Universal Father",
"labels": [
"Spirituality",
"Theology"
]
},
{
"id": "2",
"title": "The Nature of God",
"labels": [
"Spirituality",
"Theology"
]
}
]
}
]
}
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}
